// MainFrm.cpp : implementation of the CMainFrame class
//

#include "stdafx.h"
#include "TrayLnch.h"

#include "MainFrm.h"

#include "DeskArr.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CMainFrame

IMPLEMENT_DYNCREATE(CMainFrame, CFrameWnd)

BEGIN_MESSAGE_MAP(CMainFrame, CFrameWnd)
	//{{AFX_MSG_MAP(CMainFrame)
	//}}AFX_MSG_MAP
	ON_COMMAND_RANGE(IDC_DESKTOP,0xDFFF,OnDesktop)
	ON_UPDATE_COMMAND_UI_RANGE(IDC_DESKTOP,0xDFFF,OnUpdateDesktop)
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CMainFrame construction/destruction

CMainFrame::CMainFrame()
{
}

CMainFrame::~CMainFrame()
{
}

BOOL CMainFrame::PreCreateWindow(CREATESTRUCT& cs)
{
	return CFrameWnd::PreCreateWindow(cs);
}

void CMainFrame::SetupTrayIcon() {
	m_systrayicon.SetWindow(this);
	m_systrayicon.SetMainFrame(this);
	m_systrayicon.SetIcon(IDR_MAINFRAME);
	m_systrayicon.SetToolTip("TrayLaunch");
	m_systrayicon.SetMenuID(IDR_MAINFRAME);
	m_systrayicon.Enable(TRUE);
}

void CMainFrame::SetupTrayMenu(CMenu* menu) {
	ASSERT(menu);
	if (!menu) return;
	ASSERT(menu->m_hMenu);
	if (!menu->m_hMenu) return;

	m_DesktopArray.FillFromDesktop();
	if (m_DesktopArray.HasItems()) {
		m_DesktopArray.AddAllItemsToMenu(menu);
	}
}

void CMainFrame::OnDesktop(UINT id) {
	m_DesktopArray.ExecuteCommandID(id);
}

void CMainFrame::OnUpdateDesktop(CCmdUI* pCmdUI) {
	if (pCmdUI->m_pSubMenu) { // this is enabling the first-level selection
		pCmdUI->Enable(TRUE);
	}
	else {
		// make sure we don't change enabled/disabled state
		BOOL en = FALSE;
		en = m_DesktopArray.IsCommandIDEnabled(pCmdUI->m_nID);
		pCmdUI->Enable(en);
	}
	/*
	pCmdUI->Enable(TRUE);
	*/
}

/////////////////////////////////////////////////////////////////////////////
// CMainFrame diagnostics

#ifdef _DEBUG
void CMainFrame::AssertValid() const
{
	CFrameWnd::AssertValid();
}

void CMainFrame::Dump(CDumpContext& dc) const
{
	CFrameWnd::Dump(dc);
}

#endif //_DEBUG

/////////////////////////////////////////////////////////////////////////////
// CMainFrame message handlers

