// MainFrm.h : interface of the CMainFrame class
//
/////////////////////////////////////////////////////////////////////////////

#ifndef MAIN_FRAME_H_INCLUDED
#define MAIN_FRAME_H_INCLUDED

#ifndef TRAY_LAUNCH_TRAY_ICON_H_INCLUDED
#include "TLTI.h"
#endif

#ifndef DESKTOP_ARRAY_H_INCLUDED
#include "DeskArr.h"
#endif

class CMainFrame : public CFrameWnd
{
public:
	CMainFrame();
protected:
	DECLARE_DYNCREATE(CMainFrame)

// Attributes
private:
	TrayLaunchTrayIcon m_systrayicon;
	DesktopArray m_DesktopArray;
public:

// Operations
public:
	void SetupTrayMenu(CMenu* menu);
	void SetupTrayIcon();


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMainFrame)
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CMainFrame();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

// Generated message map functions
protected:
	//{{AFX_MSG(CMainFrame)
	//}}AFX_MSG
	afx_msg void OnDesktop(UINT id);
	afx_msg void OnUpdateDesktop(CCmdUI* pCmdUI);
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

#endif // MAIN_FRAME_H_INCLUDED
