// TrayLaunchTrayIcon.h
// declaration file for the class TrayLaunchTrayIcon

#ifndef TRAY_LAUNCH_TRAY_ICON_H_INCLUDED
#define TRAY_LAUNCH_TRAY_ICON_H_INCLUDED

#ifndef SYSTEM_TRAY_ICON_H_INCLUDED
#include "STI.h"
#endif

class CMainFrame;

class TrayLaunchTrayIcon : public SystemTrayIcon {
public:
	void SetMainFrame(CMainFrame* pmainframe) { m_mainframe = pmainframe; }
protected:
	virtual void ModifyMenu(CMenu* menu);
	virtual void OnLButtonDblClick();
private:
	CMainFrame* m_mainframe;
};

#endif // TRAY_LAUNCH_TRAY_ICON_H_INCLUDED
